﻿using Microsoft.AspNetCore.Mvc;

namespace TestProject.Controllers
{
    /// <summary>
    /// 테스트 컨트롤러
    /// </summary>
    public class TestController : Controller
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 인덱스 페이지 처리하기 - Index()

        /// <summary>
        /// 인덱스 페이지 처리하기
        /// </summary>
        /// <returns>액션 결과</returns>
        public IActionResult Index()
        {
            return View();
        }

        #endregion
        #region 완료시 페이지 처리하기 - Completed(name, content)

        /// <summary>
        /// 완료시 페이지 처리하기
        /// </summary>
        /// <param name="name">성명</param>
        /// <param name="content">내용</param>
        /// <returns>액션 결과</returns>
        public IActionResult Completed(string name, string content)
        {
            ViewBag.Name    = name;
            ViewBag.Content = content;

            return View();
        }

        #endregion
    }
}